Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Namespaces | Typedefs | Functions
objc_support.h File Reference

Go to the source code of this file.

## Namespaces
namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal

## Typedefs
typedef void * | objc_id
typedef void * | objc_sel

## Functions
objc_id | objc_getClass (const char *name)
objc_sel | sel_getUid (const char *string)
void | objc_msgSend (void)
void | NSLog (objc_id format,...)
WEAK objc_id | Halide::Runtime::Internal::create_autorelease_pool ()
WEAK void | Halide::Runtime::Internal::drain_autorelease_pool (objc_id pool)
WEAK void | Halide::Runtime::Internal::retain_ns_object (objc_id obj)
WEAK void | Halide::Runtime::Internal::release_ns_object (objc_id obj)
WEAK objc_id | Halide::Runtime::Internal::wrap_string_as_ns_string (const char *string, size_t length)
size_t | Halide::Runtime::Internal::strlen (const char *string)
WEAK void | Halide::Runtime::Internal::ns_log_utf8_string (const char *string)
WEAK void | Halide::Runtime::Internal::ns_log_object (objc_id obj)

## Typedef Documentation

## ◆ objc_id

typedef void* objc_id

Definition at line 5 of file objc_support.h.

## ◆ objc_sel

typedef void* objc_sel

Definition at line 6 of file objc_support.h.

## Function Documentation

## ◆ objc_getClass()

objc_id objc_getClass | ( | const char * | name | ) |
| extern

Referenced by Halide::Runtime::Internal::create_autorelease_pool(), and Halide::Runtime::Internal::wrap_string_as_ns_string().

## ◆ sel_getUid()

objc_sel sel_getUid | ( | const char * | string | ) |
| extern

Referenced by Halide::Runtime::Internal::create_autorelease_pool(), Halide::Runtime::Internal::drain_autorelease_pool(), Halide::Runtime::Internal::release_ns_object(), Halide::Runtime::Internal::retain_ns_object(), and Halide::Runtime::Internal::wrap_string_as_ns_string().

## ◆ objc_msgSend()

void objc_msgSend | ( | void |  | ) |
| extern

Referenced by Halide::Runtime::Internal::create_autorelease_pool(), Halide::Runtime::Internal::drain_autorelease_pool(), Halide::Runtime::Internal::release_ns_object(), Halide::Runtime::Internal::retain_ns_object(), and Halide::Runtime::Internal::wrap_string_as_ns_string().

## ◆ NSLog()

void NSLog | ( | objc_id | format,
|  |  | ...
| ) |  |

Referenced by Halide::Runtime::Internal::ns_log_object(), and Halide::Runtime::Internal::ns_log_utf8_string().